com.amazonaws.services.simpleworkflow.model

## Class RecordActivityTaskHeartbeatRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.RecordActivityTaskHeartbeatRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class RecordActivityTaskHeartbeatRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`RecordActivityTaskHeartbeatRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RecordActivityTaskHeartbeatRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` If specified, contains details about the progress of the task.
`String` `getTaskToken()` The `taskToken` of the ActivityTask.
`int` `hashCode()`
`void` `setDetails(String details)` If specified, contains details about the progress of the task.
`void` `setTaskToken(String taskToken)` The `taskToken` of the ActivityTask.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RecordActivityTaskHeartbeatRequest` `withDetails(String details)` If specified, contains details about the progress of the task.
`RecordActivityTaskHeartbeatRequest` `withTaskToken(String taskToken)` The `taskToken` of the ActivityTask.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RecordActivityTaskHeartbeatRequest

    public RecordActivityTaskHeartbeatRequest()

### Method Detail

#### setTaskToken

    public void setTaskToken(String taskToken)

The `taskToken` of the ActivityTask.

<important> `taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results. </important>

Parameters:
  `taskToken` - The `taskToken` of the ActivityTask. <important> `taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.

#### getTaskToken

    public String getTaskToken()

The `taskToken` of the ActivityTask.

<important> `taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results. </important>

Returns:
  The `taskToken` of the ActivityTask. <important> `taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.

#### withTaskToken

    public RecordActivityTaskHeartbeatRequest withTaskToken(String taskToken)

The `taskToken` of the ActivityTask.

<important> `taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results. </important>

Parameters:
  `taskToken` - The `taskToken` of the ActivityTask. <important> `taskToken` is generated by the service and should be treated as an opaque value. If the task is passed to another process, its `taskToken` must also be passed. This enables it to provide its progress and respond with results.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

If specified, contains details about the progress of the task.

Parameters:
  `details` - If specified, contains details about the progress of the task.

#### getDetails

    public String getDetails()

If specified, contains details about the progress of the task.

Returns:
  If specified, contains details about the progress of the task.

#### withDetails

    public RecordActivityTaskHeartbeatRequest withDetails(String details)

If specified, contains details about the progress of the task.

Parameters:
  `details` - If specified, contains details about the progress of the task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RecordActivityTaskHeartbeatRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`